INSERT OVERWRITE TABLE sensor1 PARTITION (date)
  SELECT
    regexp_replace(hour,'\\(','') AS hour,
    regexp_replace(measured,'\\)','') AS measured,
    REGEXP_EXTRACT(INPUT__FILE__NAME, '.*/(.*)/(.*)', 1) AS date
  FROM load_s1;

INSERT OVERWRITE TABLE sensor2 PARTITION (date)
  SELECT 
  regexp_replace(hour,'\\(','') AS hour,
  regexp_replace(measured,'\\)','') AS measured,
  REGEXP_EXTRACT(INPUT__FILE__NAME, '.*/(.*)/(.*)', 1) AS date
  FROM load_s2;
