INSERT OVERWRITE TABLE sensor1_T3 PARTITION (date)
SELECT
    (UNIX_TIMESTAMP(time, 'yyyy-MM-dd HH:mm')) AS time,
    cast(month AS INT)AS month,
    cast(day AS INT)AS day,
    cast(split(hour, ':')[0] AS INT) AS hour,
    if(weekday > 5, 1, 0) AS workingday,
    if (holiday IS NULL,0,1) as holiday,
    measured,
    date
 FROM sensor1_t2
 LEFT OUTER JOIN holiday 
 ON (date = holiday);




 INSERT OVERWRITE TABLE sensor2_T3 PARTITION (date)
  SELECT
    (UNIX_TIMESTAMP(time, 'yyyy-MM-dd HH:mm')) AS time,
    cast(month AS INT)AS month,
    cast(day AS INT)AS day,
    cast(split(hour, ':')[0] AS INT) AS hour,
    if(weekday > 5, 1, 0) AS workingday,
    if (holiday IS NULL,0,1) as holiday,
    measured,
    date
 FROM sensor2_t2
 LEFT OUTER JOIN holiday 
 ON (date = holiday);