INSERT OVERWRITE TABLE sensor1_T2 PARTITION (date)
  SELECT
    (concat(concat(date,' '),SUBSTR(hour, 2, LENGTH(hour)-2))) AS time,
    split(`date`, '-')[1] AS month,
    split(`date`, '-')[2] AS day,
    SUBSTR(hour, 2, LENGTH(hour)-2) AS hour,
    date_format(date, 'u') AS weekday,
    measured,
    date
  FROM sensor1;

INSERT OVERWRITE TABLE sensor2_T2 PARTITION (date)
  SELECT
    (concat(concat(date,' '),SUBSTR(hour, 2, LENGTH(hour)-2))) AS time,
    split(`date`, '-')[1] AS month,
    split(`date`, '-')[2] AS day,
    SUBSTR(hour, 2, LENGTH(hour)-2) AS hour,
    date_format(date, 'u') AS weekday,
    measured,
    date
  FROM sensor2;